ERROR

This error is not what we wanted to see. Unfortunately errors are part of all software systems and we need to resolve this together.

It is important to report this ERROR so we can fix it for everyone.

Report to the GeneNetwork team by recording the steps you take to reproduce this ERROR. Next to those steps, copy-paste below stack trace, either as a new issue or E-mail this full page to one of the developers directly.

(GeneNetwork error: Expecting value: line 2 column 1 (char 1))

    GeneNetwork 2.11-rc2 
    Expecting value: line 2 column 1 (char 1) (error)
    
    
  

To check if this already a known issue, search the issue tracker.

Toggle full stack trace
      GeneNetwork 2.11-rc2  http://genenetwork.org/case-attribute/1/edit ( 1:04AM UTC Apr 14, 2024) 
Traceback (most recent call last):
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 971, in json
    return complexjson.loads(self.text, **kwargs)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/__init__.py", line 525, in loads
    return _default_decoder.decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 370, in decode
    obj, end = self.raw_decode(s)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/simplejson/decoder.py", line 400, in raw_decode
    return self.scan_once(s, idx=_w(s, idx).end())
simplejson.errors.JSONDecodeError: Expecting value: line 2 column 1 (char 1)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/flask/app.py", line 1523, in full_dispatch_request
    rv = self.dispatch_request()
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/flask/app.py", line 1509, in dispatch_request
    return self.ensure_sync(self.view_functions[rule.endpoint])(**req.view_args)
  File "/home/gn2/production/gene/gn2/wqflask/views.py", line 1318, in edit_case_attributes
    f"/api/case-attribute/{inbredset_id}")).then(
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/pymonad/monad.py", line 152, in then
    result = self.map(function)
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/pymonad/either.py", line 106, in map
    return self.__class__(function(self.value), (None, True))
  File "/home/gn2/production/gene/gn2/wqflask/views.py", line 1319, in <lambda>
    lambda resp: {"inbredset_group": resp.json()}).then(
  File "/home/zas1024/opt/gn-latest-20240112/lib/python3.10/site-packages/requests/models.py", line 975, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 2 column 1 (char 1)